## boost-defaults 1.71.0.0ubuntu1

=== debian/changelog ===
boost-defaults (1.71.0.0ubuntu1) focal; urgency=medium

  [ Giovanni Mascellani ]
  * Update for boost 1.71.0.

  [ Dimitri John Ledkov ]
  * Port create-boost-defaults-control.py to python3.
  * Update boost-defaults with newly enabled arches.

 -- Giovanni Mascellani <gio@debian.org>  Mon, 14 Oct 2019 09:20:42 +0200
