=== debian/control ===
Source: boost-defaults
Homepage: https://www.boost.org/
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Boost Team <team+boost@tracker.debian.org>
Uploaders: 
 Steve M. Robbins <smr@debian.org>,
 Giovanni Mascellani <gio@debian.org>,
 Anton Gladky <gladk@debian.org>
Build-Depends: debhelper (>= 9), libboost1.71-dev (>= 1.71.0)
Vcs-Browser: https://salsa.debian.org/debian/boost-defaults
Vcs-Git: https://salsa.debian.org/debian/boost-defaults.git
Standards-Version: 4.1.1

Package: libboost-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libboost1.71-dev
Suggests: libboost-doc
Description: Boost C++ Libraries development files (default version)
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package provides headers for all Boost libraries.
 .
 Extended precision arithmetic package libmpfrc++-dev or libntl-dev is
 required to use the Boost.Multiprecision wrapping of the respective
 library.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.71).

Package: libboost-tools-dev
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}, libboost1.71-tools-dev
Description: Boost C++ Libraries development tools (default version)
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package provides the auxiliary tools bjam, Boost.Build, bcp,
 inspect, boostbook and quickbook.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.71).

Package: libboost-all-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost-dev,
 libboost-tools-dev,
 libboost-atomic-dev,
 libboost-chrono-dev,
 libboost-container-dev,
 libboost-context-dev [i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
 libboost-coroutine-dev [i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
 libboost-date-time-dev,
 libboost-exception-dev,
 libboost-fiber-dev [i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
 libboost-filesystem-dev,
 libboost-graph-dev,
 libboost-graph-parallel-dev,
 libboost-iostreams-dev,
 libboost-locale-dev,
 libboost-log-dev,
 libboost-math-dev,
 libboost-mpi-dev,
 libboost-mpi-python-dev,
 libboost-numpy-dev [amd64 arm64 armhf s390x ppc64el],
 libboost-program-options-dev,
 libboost-python-dev,
 libboost-random-dev,
 libboost-regex-dev,
 libboost-serialization-dev,
 libboost-stacktrace-dev,
 libboost-system-dev,
 libboost-test-dev,
 libboost-thread-dev,
 libboost-timer-dev,
 libboost-type-erasure-dev,
 libboost-wave-dev
Description: Boost C++ Libraries development files (ALL) (default version)
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This metapackage provides the complete Boost development environment,
 including all separately-packaged libraries.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.71).

Package: libboost-doc
Homepage: http://www.boost.org/libs/
Architecture: all
Section: doc
Depends: ${misc:Depends}, libboost1.71-doc
Description: Boost.org libraries documentation placeholder (default version)
 This package originally provided documentation, but has since fallen
 into disrepair and presently provides no documentation.  Please
 use documentation at www.boost.org.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.71).

Package: libboost-atomic-dev
Homepage: http://www.boost.org/libs/atomic/
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libboost-atomic1.71-dev
Description: atomic data types, operations, and memory ordering constraints (default version)
 This package forms part of the Boost C++ Libraries collection.
 .
 Boost.Atomic is a library that provides atomic data types and
 operations on these data types, as well as memory ordering
 constraints required for coordinating multiple threads through atomic
 variables. It implements the interface as defined by the C++11
 standard, but makes this feature available for platforms lacking
 system/compiler support for this particular C++11 feature.
 .
 Users of this library should already be familiar with concurrency in
 general, as well as elementary concepts such as "mutual exclusion".
 .
 The implementation makes use of processor-specific instructions where
 possible (via inline assembler, platform libraries or compiler
 intrinsics), and falls back to "emulating" atomic operations through
 locking.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.71).

Package: libboost-chrono-dev
Homepage: http://www.boost.org/libs/chrono/
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libboost-chrono1.71-dev
Description: C++ representation of time duration, time point, and clocks (default version)
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.Chrono library provides:
 .
  * A means to represent time durations: managed by the generic
 duration class . Examples of time durations include days, minutes,
 seconds and nanoseconds, which can be represented with a fixed number
 of clock ticks per unit. All of these units of time duration are
 united with a generic interface by the duration facility.
  * A type for representing points in time: time_point. A time_point
 represents an epoch plus or minus a duration. The library leaves
 epochs unspecified. A time_point is associated with a clock.
  * Several clocks, some of which may not be available on a
 particular platform: system_clock, steady_clock and
 high_resolution_clock. A clock is a pairing of a time_point and
 duration, and a function which returns a time_point representing now.
 .
 To make the timing facilities more generally useful, Boost.Chrono
 provides a number of clocks that are thin wrappers around the
 operating system's time APIs, thereby allowing the extraction of wall
 clock time, user CPU time, system CPU time spent by the process:
 .
  * process_real_cpu_clock, captures wall clock CPU time spent by the
 current process.
  * process_user_cpu_clock, captures user-CPU time
 spent by the current process.
  * process_system_cpu_clock, captures
 system-CPU time spent by the current process.
  * A tuple-like class
 process_cpu_clock, that captures real, user-CPU, and system-CPU
 process times together.
  * A thread_clock thread steady clock giving
 the time spent by the current thread (when supported by a platform).
 .
 Lastly, Boost.Chrono includes typeof registration for duration and
 time_point to permit using emulated auto with C++03 compilers.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.71).

Package: libboost-container-dev
Homepage: http://boost.org/libs/container/
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libboost-container1.71-dev
Description: C++ library that implements several well-known containers - dev files (default version)
 This package forms part of the Boost C++ Libraries collection.
 .
 Boost.Container library implements several well-known containers,
 including STL containers. The aim of the library is to offers
 advanced features not present in standard containers or to offer the
 latest standard draft features for compilers that don't comply with
 the latest C++ standard.
 .
 In short, what does Boost.Container offer?
 .
  * Move semantics are implemented, including move emulation
    for pre-C++11 compilers.
  * New advanced features (e.g. placement insertion,
    recursive containers) are present.
  * Containers support stateful allocators and are compatible with
    Boost.Interprocess (they can be safely placed in shared memory).
  * The library offers new useful containers:
    * flat_map, flat_set, flat_multimap and flat_multiset: drop-in
      replacements for standard associative containers but more
      memory friendly and with faster searches.
    * stable_vector: a std::list and std::vector hybrid container:
      vector-like random-access iterators and list-like iterator
      stability in insertions and erasures.
    * slist: the classic pre-standard singly linked list implementation
      offering constant-time size(). Note that C++11 forward_list has no size().
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.71).

Package: libboost-context-dev
Homepage: http://www.boost.org/libs/context/
Architecture: i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libboost-context1.71-dev
Description: provides a sort of cooperative multitasking on a single thread (default version)
 This package forms part of the Boost C++ Libraries collection.
 .
 Boost.Context is a foundational library that provides a sort of
 cooperative multitasking on a single thread. By providing an
 abstraction of the current execution state in the current thread,
 including the stack (with local variables) and stack pointer, all
 registers and CPU flags, and the instruction pointer, a fcontext_t
 instance represents a specific point in the application's execution
 path. This is useful for building higher-level abstractions, like
 coroutines, cooperative threads (userland threads) or an equivalent
 to C# keyword yield in C++.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.71).

Package: libboost-contract-dev
Homepage: http://boost.org/libs/contract/
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libboost-contract1.71-dev
Description: Contract library for C++ - dev files (default version)
 This package forms part of the Boost C++ Libraries collection.
 .
 All contract programming features are supported: Subcontracting,
 class invariants, postconditions (with old and return values),
 preconditions, customizable actions on assertion failure (e.g.,
 terminate or throw), optional compilation and checking of assertions,
 etc.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.71).

Package: libboost-coroutine-dev
Homepage: http://www.boost.org/libs/coroutine/
Architecture: i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x
Multi-Arch: same
Section: libdevel
