## boost-defaults 1.71.0.0ubuntu2

=== debian/changelog ===
boost-defaults (1.71.0.0ubuntu2) focal; urgency=medium

  * Enable boost-numpy on riscv64.

 -- William Grant <wgrant@ubuntu.com>  Thu, 16 Apr 2020 13:36:12 +1000
