=== debian/control ===
--- 
+++ 
@@ -80,7 +80,7 @@
  libboost-math-dev,
  libboost-mpi-dev,
  libboost-mpi-python-dev,
- libboost-numpy-dev [amd64 arm64 armhf s390x ppc64el],
+ libboost-numpy-dev [amd64 arm64 armhf ppc64el riscv64 s390x],
  libboost-program-options-dev,
  libboost-python-dev,
  libboost-random-dev,
@@ -275,4 +275,3 @@
 Homepage: http://www.boost.org/libs/coroutine/
 Architecture: i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x
 Multi-Arch: same
-Section: libdevel
