## boost-defaults 1.71.0.0ubuntu4

=== debian/changelog ===
boost-defaults (1.71.0.0ubuntu4) groovy; urgency=medium

  * Correctly drop tools-dev package from all-dev.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 25 May 2020 19:46:23 +0100

boost-defaults (1.71.0.0ubuntu3) groovy; urgency=medium

  * Drop unused i386 libraries.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 23 May 2020 05:37:56 +0100
