=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
  Boost version (currently 1.71).
 
 Package: libboost-tools-dev
-Architecture: any
+Architecture: amd64 arm64 armhf s390x ppc64el riscv64
 Multi-Arch: foreign
 Section: libdevel
 Depends: ${misc:Depends}, libboost1.71-tools-dev
@@ -62,37 +62,37 @@
 Section: libdevel
 Depends: ${misc:Depends},
  libboost-dev,
- libboost-tools-dev,
+ libboost-tools-dev [!i386],
  libboost-atomic-dev,
  libboost-chrono-dev,
- libboost-container-dev,
- libboost-context-dev [i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
- libboost-coroutine-dev [i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
+ libboost-container-dev [!i386],
+ libboost-context-dev [amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
+ libboost-coroutine-dev [amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
  libboost-date-time-dev,
- libboost-exception-dev,
- libboost-fiber-dev [i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
+ libboost-exception-dev [!i386],
+ libboost-fiber-dev [amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
  libboost-filesystem-dev,
- libboost-graph-dev,
- libboost-graph-parallel-dev,
- libboost-iostreams-dev,
- libboost-locale-dev,
- libboost-log-dev,
- libboost-math-dev,
- libboost-mpi-dev,
- libboost-mpi-python-dev,
- libboost-numpy-dev [amd64 arm64 armhf ppc64el riscv64 s390x],
- libboost-program-options-dev,
- libboost-python-dev,
- libboost-random-dev,
- libboost-regex-dev,
+ libboost-graph-dev [!i386],
+ libboost-graph-parallel-dev [!i386],
+ libboost-iostreams-dev [!i386],
+ libboost-locale-dev [!i386],
+ libboost-log-dev [!i386],
+ libboost-math-dev [!i386],
+ libboost-mpi-dev [!i386],
+ libboost-mpi-python-dev [!i386],
+ libboost-numpy-dev [!i386],
+ libboost-program-options-dev [!i386],
+ libboost-python-dev [!i386],
+ libboost-random-dev [!i386],
+ libboost-regex-dev [!i386],
  libboost-serialization-dev,
- libboost-stacktrace-dev,
+ libboost-stacktrace-dev [!i386],
  libboost-system-dev,
  libboost-test-dev,
  libboost-thread-dev,
- libboost-timer-dev,
- libboost-type-erasure-dev,
- libboost-wave-dev
+ libboost-timer-dev [!i386],
+ libboost-type-erasure-dev [!i386],
+ libboost-wave-dev [!i386]
 Description: Boost C++ Libraries development files (ALL) (default version)
  The Boost web site provides free, peer-reviewed, portable C++ source
  libraries. The emphasis is on libraries which work well with the C++
@@ -197,7 +197,7 @@
 
 Package: libboost-container-dev
 Homepage: http://boost.org/libs/container/
-Architecture: any
+Architecture: amd64 arm64 armhf s390x ppc64el riscv64
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, libboost-container1.71-dev
@@ -233,7 +233,7 @@
 
 Package: libboost-context-dev
 Homepage: http://www.boost.org/libs/context/
-Architecture: i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x
+Architecture: amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, libboost-context1.71-dev
@@ -255,7 +255,7 @@
 
 Package: libboost-contract-dev
 Homepage: http://boost.org/libs/contract/
-Architecture: any
+Architecture: amd64 arm64 armhf s390x ppc64el riscv64
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, libboost-contract1.71-dev
@@ -273,5 +273,3 @@
 
 Package: libboost-coroutine-dev
 Homepage: http://www.boost.org/libs/coroutine/
-Architecture: i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x
-Multi-Arch: same
