## boost-defaults 1.74.0.3

=== debian/changelog ===
boost-defaults (1.74.0.3) unstable; urgency=medium

  * [eb1b305] Trim trailing whitespace.
  * [1ed5ff0] Bump debhelper from deprecated 9 to 13.
  * [493770d] Set debhelper-compat version in Build-Depends.
  * [439bbcb] Set compat-level 13.
  * [8b85958] Set Standards-Version 4.5.1. No changes
  * [cac9988] Add dependency on libboost-nowide-dev. (Closes: #977195)

 -- Anton Gladky <gladk@debian.org>  Sat, 12 Dec 2020 16:09:11 +0100

boost-defaults (1.74.0.2) unstable; urgency=medium

  * Upload to unstable.

 -- Anton Gladky <gladk@debian.org>  Fri, 11 Dec 2020 22:19:57 +0100

boost-defaults (1.74.0.1) experimental; urgency=medium

  * Set default Boost to 1.74.

 -- Giovanni Mascellani <gio@debian.org>  Sat, 31 Oct 2020 20:35:18 +0100

boost-defaults (1.71.0.3) unstable; urgency=medium

  * Reupload to unstable.

 -- Giovanni Mascellani <gio@debian.org>  Tue, 02 Jun 2020 11:30:46 +0200

boost-defaults (1.71.0.2) experimental; urgency=medium

  [ Dimitri John Ledkov ]
  * Port create-boost-defaults-control.py to python3.
  * Update boost-defaults with newly enabled arches.
  * Specify source format.

  [ Giovanni Mascellani ]
  * Reupload because of messing up with git history.

 -- Giovanni Mascellani <gio@debian.org>  Fri, 14 Feb 2020 11:13:29 +0100

boost-defaults (1.71.0.1) experimental; urgency=medium

  * Set default boost to 1.71.

 -- Giovanni Mascellani <gio@debian.org>  Fri, 14 Feb 2020 10:43:11 +0100
