=== debian/control ===
--- 
+++ 
@@ -2,22 +2,21 @@
 Homepage: https://www.boost.org/
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Boost Team <team+boost@tracker.debian.org>
-Uploaders: 
+Maintainer: Debian Boost Team <team+boost@tracker.debian.org>
+Uploaders:
  Steve M. Robbins <smr@debian.org>,
  Giovanni Mascellani <gio@debian.org>,
  Anton Gladky <gladk@debian.org>
-Build-Depends: debhelper (>= 9), libboost1.71-dev (>= 1.71.0)
+Build-Depends: debhelper-compat (= 13), libboost1.74-dev (>= 1.74.0)
 Vcs-Browser: https://salsa.debian.org/debian/boost-defaults
 Vcs-Git: https://salsa.debian.org/debian/boost-defaults.git
-Standards-Version: 4.1.1
+Standards-Version: 4.5.1
 
 Package: libboost-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libboost1.71-dev
+Depends: ${misc:Depends}, libboost1.74-dev
 Suggests: libboost-doc
 Description: Boost C++ Libraries development files (default version)
  The Boost web site provides free, peer-reviewed, portable C++ source
@@ -35,13 +34,13 @@
  library.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.71).
+ Boost version (currently 1.74).
 
 Package: libboost-tools-dev
-Architecture: amd64 arm64 armhf s390x ppc64el riscv64
+Architecture: any
 Multi-Arch: foreign
 Section: libdevel
-Depends: ${misc:Depends}, libboost1.71-tools-dev
+Depends: ${misc:Depends}, libboost1.74-tools-dev
 Description: Boost C++ Libraries development tools (default version)
  The Boost web site provides free, peer-reviewed, portable C++ source
  libraries. The emphasis is on libraries which work well with the C++
@@ -55,44 +54,45 @@
  inspect, boostbook and quickbook.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.71).
+ Boost version (currently 1.74).
 
 Package: libboost-all-dev
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
  libboost-dev,
- libboost-tools-dev [!i386],
+ libboost-tools-dev,
  libboost-atomic-dev,
  libboost-chrono-dev,
- libboost-container-dev [!i386],
- libboost-context-dev [amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
- libboost-coroutine-dev [amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
+ libboost-container-dev,
+ libboost-context-dev [i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
+ libboost-coroutine-dev [i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
  libboost-date-time-dev,
- libboost-exception-dev [!i386],
- libboost-fiber-dev [amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
+ libboost-exception-dev,
+ libboost-fiber-dev [i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
  libboost-filesystem-dev,
- libboost-graph-dev [!i386],
- libboost-graph-parallel-dev [!i386],
- libboost-iostreams-dev [!i386],
- libboost-locale-dev [!i386],
- libboost-log-dev [!i386],
- libboost-math-dev [!i386],
- libboost-mpi-dev [!i386],
- libboost-mpi-python-dev [!i386],
- libboost-numpy-dev [!i386],
- libboost-program-options-dev [!i386],
- libboost-python-dev [!i386],
- libboost-random-dev [!i386],
- libboost-regex-dev [!i386],
+ libboost-graph-dev,
+ libboost-graph-parallel-dev,
+ libboost-iostreams-dev,
+ libboost-locale-dev,
+ libboost-log-dev,
+ libboost-math-dev,
+ libboost-mpi-dev,
+ libboost-mpi-python-dev,
+ libboost-numpy-dev,
+ libboost-program-options-dev,
+ libboost-python-dev,
+ libboost-random-dev,
+ libboost-regex-dev,
  libboost-serialization-dev,
- libboost-stacktrace-dev [!i386],
+ libboost-stacktrace-dev,
  libboost-system-dev,
  libboost-test-dev,
  libboost-thread-dev,
- libboost-timer-dev [!i386],
- libboost-type-erasure-dev [!i386],
- libboost-wave-dev [!i386]
+ libboost-timer-dev,
+ libboost-type-erasure-dev,
+ libboost-wave-dev,
+ libboost-nowide-dev
 Description: Boost C++ Libraries development files (ALL) (default version)
  The Boost web site provides free, peer-reviewed, portable C++ source
  libraries. The emphasis is on libraries which work well with the C++
@@ -106,27 +106,27 @@
  including all separately-packaged libraries.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.71).
+ Boost version (currently 1.74).
 
 Package: libboost-doc
 Homepage: http://www.boost.org/libs/
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libboost1.71-doc
+Depends: ${misc:Depends}, libboost1.74-doc
 Description: Boost.org libraries documentation placeholder (default version)
  This package originally provided documentation, but has since fallen
  into disrepair and presently provides no documentation.  Please
  use documentation at www.boost.org.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.71).
+ Boost version (currently 1.74).
 
 Package: libboost-atomic-dev
 Homepage: http://www.boost.org/libs/atomic/
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libboost-atomic1.71-dev
+Depends: ${misc:Depends}, libboost-atomic1.74-dev
 Description: atomic data types, operations, and memory ordering constraints (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -146,14 +146,14 @@
  locking.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.71).
+ Boost version (currently 1.74).
 
 Package: libboost-chrono-dev
 Homepage: http://www.boost.org/libs/chrono/
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libboost-chrono1.71-dev
+Depends: ${misc:Depends}, libboost-chrono1.74-dev
 Description: C++ representation of time duration, time point, and clocks (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -193,14 +193,14 @@
  time_point to permit using emulated auto with C++03 compilers.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.71).
+ Boost version (currently 1.74).
 
 Package: libboost-container-dev
 Homepage: http://boost.org/libs/container/
-Architecture: amd64 arm64 armhf s390x ppc64el riscv64
-Multi-Arch: same
-Section: libdevel
-Depends: ${misc:Depends}, libboost-container1.71-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: ${misc:Depends}, libboost-container1.74-dev
 Description: C++ library that implements several well-known containers - dev files (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -229,14 +229,14 @@
       offering constant-time size(). Note that C++11 forward_list has no size().
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.71).
+ Boost version (currently 1.74).
 
 Package: libboost-context-dev
 Homepage: http://www.boost.org/libs/context/
-Architecture: amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x
-Multi-Arch: same
-Section: libdevel
-Depends: ${misc:Depends}, libboost-context1.71-dev
+Architecture: i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x
+Multi-Arch: same
+Section: libdevel
+Depends: ${misc:Depends}, libboost-context1.74-dev
 Description: provides a sort of cooperative multitasking on a single thread (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -251,14 +251,14 @@
  to C# keyword yield in C++.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.71).
+ Boost version (currently 1.74).
 
 Package: libboost-contract-dev
 Homepage: http://boost.org/libs/contract/
-Architecture: amd64 arm64 armhf s390x ppc64el riscv64
-Multi-Arch: same
-Section: libdevel
-Depends: ${misc:Depends}, libboost-contract1.71-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: ${misc:Depends}, libboost-contract1.74-dev
 Description: Contract library for C++ - dev files (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -269,7 +269,11 @@
  etc.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.71).
+ Boost version (currently 1.74).
 
 Package: libboost-coroutine-dev
 Homepage: http://www.boost.org/libs/coroutine/
+Architecture: i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x
+Multi-Arch: same
+Section: libdevel
+Depends: ${misc:Depends}, libboost-coroutine1.74-dev
