## boost-defaults 1.74.0.3ubuntu5

=== debian/changelog ===
boost-defaults (1.74.0.3ubuntu5) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:10:27 +0000

boost-defaults (1.74.0.3ubuntu4) hirsute; urgency=medium

  * Re-generate debian/control for i386 with:
    $ python3 ./debian/create-boost-defaults-control.py ../boost1.74-1.74.0/debian/control > debian/control.tmp
    $ mv debian/control.tmp debian/control
    - Re-add debhelper-compat (= 13) build dep, as that should have been done in the boost1.74 package itself first.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 15 Feb 2021 12:23:06 +0000

boost-defaults (1.74.0.3ubuntu3) hirsute; urgency=medium

  * Re-add libboost-iostreams-dev on i386, needed by
    thin-provisioning-tools.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 28 Jan 2021 14:13:33 -0800

boost-defaults (1.74.0.3ubuntu2) hirsute; urgency=medium

  * Stop building on i386: libboost-atomic-dev, libboost-chrono-dev,
    libboost-date-time-dev, libboost-serialization-dev, libboost-system-dev,
    libboost-thread-dev.
  * Packages still built on i386 are: libboost-all-dev, libboost-dev,
    libboost-test-dev, libboost-filesystem-dev.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Dec 2020 18:57:24 +0100

boost-defaults (1.74.0.3ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop unused i386 libraries.
  * Simplify skipping the unwanted i386 packages.
  * libboost-all-dev: Depend on libboost-nowide-dev.
  * Bump standards and debhelper versions.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 19:40:27 +0100
