## boost-defaults 1.74.0.3ubuntu6

=== debian/changelog ===
boost-defaults (1.74.0.3ubuntu6) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:09:40 +0200
