=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Homepage: https://www.boost.org/
 Section: libs
 Priority: optional
-Maintainer: Debian Boost Team <team+boost@tracker.debian.org>
-Uploaders:
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Boost Team <team+boost@tracker.debian.org>
+Uploaders: 
  Steve M. Robbins <smr@debian.org>,
  Giovanni Mascellani <gio@debian.org>,
  Anton Gladky <gladk@debian.org>
@@ -18,6 +19,7 @@
 Section: libdevel
 Depends: ${misc:Depends}, libboost1.74-dev
 Suggests: libboost-doc
+Breaks: libleatherman-dev (<< 1.12.1+dfsg-1.1~)
 Description: Boost C++ Libraries development files (default version)
  The Boost web site provides free, peer-reviewed, portable C++ source
  libraries. The emphasis is on libraries which work well with the C++
@@ -37,7 +39,7 @@
  Boost version (currently 1.74).
 
 Package: libboost-tools-dev
-Architecture: any
+Architecture: amd64 arm64 armhf s390x ppc64el riscv64
 Multi-Arch: foreign
 Section: libdevel
 Depends: ${misc:Depends}, libboost1.74-tools-dev
@@ -61,38 +63,38 @@
 Section: libdevel
 Depends: ${misc:Depends},
  libboost-dev,
- libboost-tools-dev,
+ libboost-tools-dev [!i386],
  libboost-atomic-dev,
  libboost-chrono-dev,
- libboost-container-dev,
- libboost-context-dev [i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
- libboost-coroutine-dev [i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
+ libboost-container-dev [!i386],
+ libboost-context-dev [hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
+ libboost-coroutine-dev [hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
  libboost-date-time-dev,
- libboost-exception-dev,
- libboost-fiber-dev [i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
+ libboost-exception-dev [!i386],
+ libboost-fiber-dev [hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
  libboost-filesystem-dev,
- libboost-graph-dev,
- libboost-graph-parallel-dev,
+ libboost-graph-dev [!i386],
+ libboost-graph-parallel-dev [!i386],
  libboost-iostreams-dev,
- libboost-locale-dev,
- libboost-log-dev,
- libboost-math-dev,
- libboost-mpi-dev,
- libboost-mpi-python-dev,
- libboost-numpy-dev,
- libboost-program-options-dev,
- libboost-python-dev,
- libboost-random-dev,
+ libboost-locale-dev [!i386],
+ libboost-log-dev [!i386],
+ libboost-math-dev [!i386],
+ libboost-mpi-dev [!i386],
+ libboost-mpi-python-dev [!i386],
+ libboost-numpy-dev [!i386],
+ libboost-program-options-dev [!i386],
+ libboost-python-dev [!i386],
+ libboost-random-dev [!i386],
  libboost-regex-dev,
  libboost-serialization-dev,
- libboost-stacktrace-dev,
+ libboost-stacktrace-dev [!i386],
  libboost-system-dev,
  libboost-test-dev,
  libboost-thread-dev,
- libboost-timer-dev,
- libboost-type-erasure-dev,
- libboost-wave-dev,
- libboost-nowide-dev
+ libboost-timer-dev [!i386],
+ libboost-type-erasure-dev [!i386],
+ libboost-wave-dev [!i386],
+ libboost-nowide-dev [!i386]
 Description: Boost C++ Libraries development files (ALL) (default version)
  The Boost web site provides free, peer-reviewed, portable C++ source
  libraries. The emphasis is on libraries which work well with the C++
@@ -197,7 +199,7 @@
 
 Package: libboost-container-dev
 Homepage: http://boost.org/libs/container/
-Architecture: any
+Architecture: amd64 arm64 armhf s390x ppc64el riscv64
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, libboost-container1.74-dev
@@ -233,7 +235,7 @@
 
 Package: libboost-context-dev
 Homepage: http://www.boost.org/libs/context/
-Architecture: i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x
+Architecture: amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, libboost-context1.74-dev
@@ -255,7 +257,7 @@
 
 Package: libboost-contract-dev
 Homepage: http://boost.org/libs/contract/
-Architecture: any
+Architecture: amd64 arm64 armhf s390x ppc64el riscv64
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, libboost-contract1.74-dev
@@ -269,11 +271,3 @@
  etc.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.74).
-
-Package: libboost-coroutine-dev
-Homepage: http://www.boost.org/libs/coroutine/
-Architecture: i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x
-Multi-Arch: same
-Section: libdevel
-Depends: ${misc:Depends}, libboost-coroutine1.74-dev
