## boost-defaults 1.83.0.1ubuntu2

=== debian/changelog ===
boost-defaults (1.83.0.1ubuntu2) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop unused i386 libraries.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 10:47:25 +0100

boost-defaults (1.83.0.1) unstable; urgency=medium

  * Upload into unstable. (Closes: #1006309)

 -- Anton Gladky <gladk@debian.org>  Mon, 18 Dec 2023 06:47:23 +0100

boost-defaults (1.83.0.1~exp1) experimental; urgency=medium

  * [136a224] Update control file for 1.83.0
  * [1acd6ac] Update standards version to 4.6.2, no changes needed.

 -- Anton Gladky <gladk@debian.org>  Fri, 20 Oct 2023 07:45:31 +0200

boost-defaults (1.81.0.1~exp1) experimental; urgency=medium

  * [f04148e] Generate control file for the 1.81.0
  * [bbbba8d] Trim trailing whitespace.
  * [3547377] Update standards version to 4.6.1, no changes needed.

 -- Anton Gladky <gladk@debian.org>  Thu, 29 Dec 2022 17:07:19 +0100

boost-defaults (1.80.0.1~exp1) experimental; urgency=medium

  * [9abf3c2] Minor improvements in create-boost-defaults-control
  * [744e727] Generate control file for the 1.80.0

 -- Anton Gladky <gladk@debian.org>  Sat, 17 Dec 2022 21:39:46 +0100
