## boost-defaults 1.83.0.2

=== debian/changelog ===
boost-defaults (1.83.0.2) unstable; urgency=medium

  * [db1b745] Add deps to libboost-all-dev on boost-json and boost-url. (Closes: #1058951)
  * [5dedd70] Add loong64 support. (Closes: #1054639)

 -- Anton Gladky <gladk@debian.org>  Fri, 22 Dec 2023 23:26:56 +0100
